Skip to content

List admin user invites for an account

GET
/api/v1/admin_user_invite
curl --request GET \
--url 'https://app.prefactorai.com/api/v1/admin_user_invite?account_id=013xrzp12g3nqk8ns6jadrqmpgrjkeny' \
--header 'Authorization: Bearer <token>'
account_id
Account_Id

A valid account ID

string
Example
013xrzp12g3nqk8ns6jadrqmpgrjkeny

Account ID (defaults to token’s account)

idempotency_key
One of:

Optional idempotency key for ensuring request idempotency

string
sorting

Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, email, status.

string

Sort order; a field name, optionally prefixed with - for descending (e.g. -id). Supported fields: id, email, status.

pagination[offset]
integer

Zero-based offset of the first item to return.

pagination[page_size]
integer
>= 1 <= 100

Number of items to return per page (1-100).

Success

Media typeapplication/json
object
pagination
One of:
PaginationOutput

Pagination information

object
item_count

The total number of items

integer
item_end

The index of the last item in the page (one-based)

integer
item_start

The index of the first item in the page (one-based)

integer
next_page_offset
One of:

The offset of the next page (null if last page)

integer
page_count

The total number of pages

integer
page_index

The index of the current page (one-based)

integer
page_offset

The offset of the first item in the page (zero-based)

integer
page_size

The number of items per page

integer
previous_page_offset
One of:

The offset of the previous page (null if first page)

integer
sorting
One of:
Sorting

Sorting information

object
direction

The direction to sort by

string
Allowed values: asc desc
field

The field to sort by (values depend on the type of list)

string
Allowed values: id status started_at finished_at email name external_identifier raised_at cleared_at severity last_activity_span_at
nulls

Where to place null values. auto leaves placement to the database default.

string
Allowed values: first last auto
status
string
Allowed values: success
summaries
Array<object>
AdminUserInvite_Summary
object
account_id
Account_Id

A valid account ID

string
email

Email address the invite was sent to

string
id
AdminUserInvite_Id

A valid admin user invite ID

string
inserted_at

When the invite was created

string format: date-time
invite_url
Uri

URL to accept the invite

string format: uri
status

Current status of the invite

string
Allowed values: pending used revoked
type

Type of resource (always ‘admin_user_invite’)

string
Allowed values: admin_user_invite
updated_at

When the invite was last updated

string format: date-time
Example
{
"pagination": {
"item_count": 200,
"item_end": 100,
"item_start": 91,
"next_page_offset": 110,
"page_count": 20,
"page_index": 10,
"page_offset": 90,
"page_size": 10,
"previous_page_offset": 80
},
"sorting": null,
"status": "success",
"summaries": [
{
"account_id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"email": "user@example.com",
"id": "013xrzp12g3nqk8ns6jadrqmpgrjkeny",
"inserted_at": "2024-01-01T00:00:00Z",
"invite_url": "https://example.com",
"status": "pending",
"type": "admin_user_invite",
"updated_at": "2024-01-01T00:00:00Z"
}
]
}

Error

Media typeapplication/json
One of:
object
code
string
Allowed values: bad_request bad_authtoken not_authenticated not_permitted not_implemented unknown not_found unexpected_ref_type unexpected invalid_action alert_unknown alert_already_cleared invalid_value required_value idempotency_key_already_used
message
string
status
string
Allowed values: error
Example
{
"code": "bad_request",
"status": "error"
}